org.keycloak.authentication

## Class ForkFlowException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.keycloak.authentication.AuthenticationFlowException
        - - org.keycloak.authentication.ForkFlowException

- All Implemented Interfaces:
    Serializable

      public class ForkFlowException
      extends AuthenticationFlowException

  Thrown internally when authenticator wants to fork the current flow.
  Version:
    $Revision: 1 $
  Author:
    Bill Burke
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected FormMessage` | `errorMessage`
    `protected FormMessage` | `successMessage`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ForkFlowException(FormMessage successMessage, FormMessage errorMessage)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FormMessage` | `getErrorMessage()`
    `FormMessage` | `getSuccessMessage()`

    - ### Methods inherited from class org.keycloak.authentication.AuthenticationFlowException

      `getAfeList, getError, getResponse`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### successMessage

          protected FormMessage successMessage

    - #### errorMessage

          protected FormMessage errorMessage

  - ### Constructor Detail

    - #### ForkFlowException

          public ForkFlowException(FormMessage successMessage,
                                   FormMessage errorMessage)

  - ### Method Detail

    - #### getSuccessMessage

          public FormMessage getSuccessMessage()

    - #### getErrorMessage

          public FormMessage getErrorMessage()

Copyright © 2020 JBoss by Red Hat. All rights reserved.